Rygel.PlaylistItem – librygel-server Reference Manual

# PlaylistItem

## Object Hierarchy:

## Description:

public class PlaylistItem : MediaItem

Represents a playlist item.

These objects correspond to DLNA's DIDL_S items.

Namespace: Rygel
Package: librygel-server

## Content:

### Constants:

- public const unowned `string` UPNP_CLASS

### Creation methods:

- public PlaylistItem (`string` id, MediaContainer parent, `string` title, `string` upnp_class = UPNP_CLASS)

### Methods:

- public override `bool` streamable ()

### Inherited Members:

All known members inherited from class Rygel.MediaItem

- mime_type
- dlna_profile
- size
- place_holder

- description
- ocm_flags
- create_stream_source
- is_live_stream

- streamable
- get_protocol_info
- add_resources
- address_regex

All known members inherited from class Rygel.MediaObject

- id
- ref_id
- upnp_class
- date
- creator
- modified
- object_update_id
- artist

- genre
- parent
- parent_ref
- title
- ocm_flags
- get_uris
- get_primary_uri
- add_uri

- constructed
- get_writable
- get_writables
- serialize
- compare_string_props
- compare_int_props
- parent_ptr

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count